%global modname naftawayh
%global distname Naftawayh

Name:				python-naftawayh
Version:			0.2
Release:			5%{?dist}
Summary:			Arabic word tagger
Summary(ar):		تصنيف الكلمات العربية
License:			GPLv1
URL:				http://naftawayh.sourceforge.net/
Source:				https://pypi.python.org/packages/source/N/%{distname}/%{distname}-%{version}.zip
#By PKG-INFO file, and after calling programmer:
Source1:            gpl-1.0.txt
#Fix file encoding:
Source2:            %{distname}-PKG-INFO
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python-setuptools

%description
Naftawayh is a python library for Arabic word tagging (word classification)
into types (nouns, verbs, stopwords), which is useful in language processing,
especially for text mining. Naftawayh works according to the Arabic word
structure, and the ability to guess the word class, through certain signs. 

%description -l ar
نفطويه هو برنامج ومكتبة لتصنيف الكلمات إلى أنواعها (اسم، فعل، حرف)، ويفيد
في المعالجة الآلية للغة وخصوصا التنقيب عن المعلومات، ومبدأه يعمل على بنية
الكلمة العربية، وقدرتنا على تخمين نوعها، من خلال علامات معينة. فمثلا كل كلمة
تنتهي بتاء مربوطة فهي اسم، وكل كلمة فيها همزة تحت الألف اسم. ويمكننا التعرف
على كثير من الكلمات المعرّفة بالألف واللام، وبعض أنماط الأفعال المضارعة.

%prep
%setup -q -n %{distname}-%{version}
rm -rf *.egg-info
#Remove the python shebang:
sed -i 's:#!/usr/bin/python::g' %{modname}/*
#Add License File:
cp -p %{SOURCE1} .
#Fix file encoding:
cp -p %{SOURCE2} ./PKG-INFO

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

%files
%doc PKG-INFO gpl-1.0.txt
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-4
- Minor fixes during revision.

* Thu Oct 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-3
- General revision.

* Sun Jan 12 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-2
- Fix license line.
- Fix %%prep section.

* Wed Jan 1 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-1
- Initial build.
